Bug 1620228 - [RFE] [v2v] - Add CloudVolumeType to API
Summary: [RFE] [v2v] - Add CloudVolumeType to API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
: 1623304 (view as bug list)
Depends On:
Blocks: 1601090
TreeView+ depends on / blocked
 
Reported: 2018-08-22 18:26 UTC by Brett Thurber
Modified: 2019-02-07 23:03 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.17
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:43 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:50 UTC

Description Brett Thurber 2018-08-22 18:26:06 UTC
Description of problem:
Enhance API to provide CloudVolumeTypes to support infrastructure mapping selection in support of OSP.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Brett Thurber 2018-08-22 18:27:23 UTC
Upstream issue:  https://github.com/ManageIQ/manageiq-api/issues/456

Comment 3 Brett Thurber 2018-08-29 01:46:46 UTC
*** Bug 1623304 has been marked as a duplicate of this bug. ***

Comment 6 CFME Bot 2018-09-19 18:44:01 UTC
New commit detected on ManageIQ/manageiq-api/master:

https://github.com/ManageIQ/manageiq-api/commit/d41bc44497b8efe3118a7982173d452416f2ae9e
commit d41bc44497b8efe3118a7982173d452416f2ae9e
Author:     James Wong <jwong@redhat.com>
AuthorDate: Fri Aug 31 13:24:24 2018 -0400
Commit:     James Wong <jwong@redhat.com>
CommitDate: Fri Aug 31 13:24:24 2018 -0400

    endpoint api/cloud_volume_types

    https://bugzilla.redhat.com/show_bug.cgi?id=1620228

 app/controllers/api/cloud_volume_types_controller.rb | 3 +
 config/api.yml | 15 +
 spec/requests/cloud_volume_types_spec.rb | 48 +
 3 files changed, 66 insertions(+)

Comment 7 Yadnyawalk Tale 2018-12-28 07:56:34 UTC
Tested! When I do https://hostname/api/cloud_volume_types, I get following clean response -

{
"name": "cloud_volume_types",
"count": 4,
"subcount": 4,
"pages": 1,
"resources":[
{
"href": "https://hostname/api/cloud_volume_types/1"
},
{
"href": "https://hostname/api/cloud_volume_types/2"
},
{
"href": "https://hostname/api/cloud_volume_types/3"
},
{
"href": "https://hostname/api/cloud_volume_types/4"
}
],
"links":{
"self": "https://hostname/api/cloud_volume_types?offset=0",
"first": "https://hostname/api/cloud_volume_types?offset=0",
"last": "https://hostname/api/cloud_volume_types?offset=0"
}
}

Also tested same on manageiq's python api client, all works well.
Verified on -  5.10.0.30.20181218191323_900a416

Comment 8 Yadnyawalk Tale 2018-12-28 08:48:52 UTC
For QE's, we are in process to add its TCs to polarion https://github.com/ManageIQ/integration_tests/pull/8257/files is pending.

Comment 9 errata-xmlrpc 2019-02-07 23:03:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.